function ff = findsigepnt(xx,mtps,growt,phikt,theta,ish,rdsh,lsh,deltan,delta0,taup,taul,ppsi,sgs,labs)

alph    = xx(1) ;
nu      = xx(2) ;
cet     = xx(3) ;
pnt     = xx(4) ;

omega   = 1 - alph ;
curlyeps= (1 - alph)/(nu - alph) ;
invt    = (1 - curlyeps/nu)*ish ;
kt      = invt/(growt - 1 + delta0) ;
uR      = (1 - curlyeps)*alph/kt ;
proft   = (nu - 1)*curlyeps/nu ;
rd      = (1 - curlyeps/nu)*rdsh ;
varthet = (growt - 1 + deltan)/rd ;

lame    = (pnt*varthet - 1)/(1 - theta*pnt*varthet) ;
sige    = (1/mtps - uR*(1 - taup) + delta0 - 1)/(lame*(uR*(1 - taup) + phikt*(1 - delta0))) ;
cwt     = ((1 + lame)^ppsi*cet - (1 - taul)*(1 - curlyeps)*(1 - alph)*(1 - labs)/(labs*omega*(1 - sige))) ;

ff(1)   = -lsh + (1 - curlyeps)*(1 - alph)/(1 - curlyeps/nu) ;
ff(2)   = -pnt + mtps*(proft*(1 - taup) + pnt*(1 - deltan) + sige*lame*(proft*(1 - taup) + pnt*phikt*(1 - deltan)))  ;
ff(3)   = -cet - rd/sige*(1 - theta*pnt*varthet) + proft + (1 - curlyeps)*alph + phikt*(pnt*(1 - deltan) + (1 - delta0)*kt) + taul*(1 - curlyeps)*(1 - alph) - sgs*(1 - curlyeps/nu) ;
ff(4)   = -1 + sgs + (sige*cet + (1 - sige)*cwt)/(1 - curlyeps/nu) + ish + rdsh ;
