% MAIN FILE 
% Growth model with Financial Frictions
% PaGq - RJ
% July 30, 2013
% Revised June, 2018

% Run this file to solve model/smooth shocks and plot figures 4/6 in main
% paper. This file also compute likelihood and priors.

% Plot IRFs using file plot_irfs_growth

% Run var_decomp_growth to compute variance decomposition in Table 2

close all
clear all

% 0. Get data
% zzd
format_data

close all

% 1. Get Parameters
get_parameters_growth

% 2. Setup parameters to estimate
setup_growth

% 3. Wrap parameters
growthdo

% 4. Load estimated parameters
xx = load('modevector','xx') ;
xx = xx.xx ;

lik = -growth_max(xx,par,zzd,0) ;
