% Recover shocks to leave GDP at trend
ttrend = find(time == 2008.5) ;
ygro = 0.00 ; % back to trend rate
 
for ix = 5:5

    smoothalt = ssmooth ;
    
    for tt = 1:T
        if tt < T && tt > ttrend-1
            tempobas1 = hx*smoothalt(tt-1,:)' ;
            part1 = hx(7,1:end-ix)*smoothalt(tt,1:end-ix)' + hx(7,end-ix+2:end)*smoothalt(tt,end-ix+2:end)';
            smoothalt(tt,end-ix+1) = (ygro - part1)/hx(7,end-ix+1) ;
            tempobas = hx*smoothalt(tt,:)' ; 
            smoothalt(tt+1,1:end-measerr) = tempobas(1:end-measerr)' ;
            Haux       = gx*tempobas1 ;
            yaltn(:,tt,ix)       = 100*Haux(1:8,:) ;                                
        else
            Haux                 = gx*smoothalt(tt,:)' ;
            yaltn(:,tt,ix)       = 100*Haux(1:8,:) ;            
        end
    end
    % correct last term
            part1 = hx(7,1:end-ix)*smoothalt(T,1:end-ix)' + hx(7,end-ix+2:end)*smoothalt(T,end-ix+2:end)';
            smoothalt(T,end-ix+1) = (ygro - part1)/hx(7,end-ix+1) ;    
    %    
    % New lines
    tbeg0 = tbeg1 ;
    zzlev = zeros(size(zz)) ;
    zzlev(tbeg0-1,[1 2 3 4 6 7 8]) = 1 ;
    yaltlev = zzlev ;
    trenlev = ones(T,1) ;
    tren    = trenlev ;
    tmas = tbeg0 ;
    jx = 8 ;
    if jx ~= 5
        while tmas <= length(time) 
            zzlev(tmas,[1 2 3 4 6 7 8]) = zzlev(tmas-1,[1 2 3 4 6 7 8]).*(1.0067+zz(tmas,[1 2 3 4 6 7 8])/100) ;
            yaltlev(tmas,[1 2 3 4 6 7 8]) = yaltlev(tmas-1,[1 2 3 4 6 7 8]).*(1.0067+squeeze(yaltn([1 2 3 4 6 7 8],tmas,ix))'/100) ;
            trenlev(tmas) = trenlev(tmas-1).*(1.0067+smoothalt(tmas,7)) ;
            tren(tmas) = tren(tmas-1).*(1.0067+ssmooth(tmas,7)) ;
            tmas = 1 + tmas ; 
        end
    end

        smoothalt1 = ssmooth ;

        clear yalt 
        
        for tt = 1:T+15
            if tt >= T
                smoothalt1(tt+1,:) = hx*smoothalt1(tt,:)' ;
            end
            Haux                = gx*smoothalt1(tt,:)' ;
            yalt(:,tt,ix)       = Haux(1:8,:) ;            
        end    
    
        timerec = length(time)-16 ;
        time1 = [time 2012:.25:2015.5] ;

        zzlevo = zeros(size(zz,1),1) ;
        zzlevo(tbeg0-1) = 1 ;
        zzlevo1 = zzlevo ;
        
        for tt = tbeg0:T+15 
            if tt == 1
                zzlevo(1) = (1.0067+smoothalt1(tt,7)) ;
                zzlevo1(1) = 1.0067 ;
            else
                zzlevo(tt) = zzlevo(tt-1).*(1.0067+smoothalt1(tt,7)) ;
                zzlevo1(tt) = zzlevo(tt-1).*(1.0067) ;
            end
        end        
        
        clear smoothalt1 ;
        
end